Summary:      Library for manipulating RDF files describing LADSPA plugins
Name:         liblrdf
Version:      0.4.0
Release:      1%{?dist}
License:      GPL
Group:        System Environment/Libraries
URL:          http://plugin.org.uk/lrdf
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: gcc-c++, pkgconfig, glib2-devel, curl-devel, e2fsprogs-devel
BuildRequires: openssl-devel, ladspa-devel, raptor-devel, zlib-devel

%description
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins.

%package devel
Summary: Library for manipulating RDF files describing LADSPA plugins
Group: Development/Libraries
Requires: liblrdf = %{version}-%{release}
Requires: raptor-devel

%description devel
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. This package includes the development tools.

%prep
%setup -q

%build
%configure

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README examples
%{_libdir}/liblrdf.so.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/liblrdf.so
%{_libdir}/liblrdf.a
%exclude %{_libdir}/liblrdf.la
%{_libdir}/pkgconfig/*

%changelog
* Fri Apr 21 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
